<?php

/**
 * @package "Image Watermark" Addon for Elkarte
 * @author Spuds
 * @copyright (c) 2020 Spuds
 * @license This Source Code is subject to the terms of the Mozilla Public License
 * version 1.1 (the "License"). You can obtain a copy of the License at
 * http://mozilla.org/MPL/1.1/.
 *
 * @version 1.0.0
 *
 */

// If we have found SSI.php and we are outside of ELK, then we are running standalone.
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('ELK'))
{
	require_once(dirname(__FILE__) . '/SSI.php');
}
// If we are outside ELK and can't find SSI.php, then throw an error
elseif (!defined('ELK'))
{
	die('<b>Error:</b> Cannot install - please verify you put this file in the same place as Elkarte\'s SSI.php.');
}

// Settings for the addon
global $mbname, $modSettings;
$addon_settings = array(
	'watermarkEnabled' => 0,
	'watermarkImage' => 0,
	'watermarkScaleHeight' => '10%',
	'watermarkScaleWidth' => '10%',
	'watermarkText' => '&copy;' . $mbname,
	'watermarkTextSize' => '5%',
	'watermarkStrokeSize' => 2,
	'watermarkMinHeight' => 250,
	'watermarkMinWidth' => 250,
	'watermarkPosition' => 9,
);

// Update the settings if required
foreach ($addon_settings as $new_setting => $new_value)
{
	if (!isset($modSettings[$new_setting]))
	{
		updateSettings(array($new_setting => $new_value));
	}
}

if (ELK === 'SSI')
{
	echo 'Congratulations! You have successfully installed the Watermark addon';
}
